r.out.bin(1)

NAME
r.out.bin - Exports a GRASS raster to a binary array.

SYNOPSIS
r.out.bin
r.out.bin help
r.out.bin [-ihbs] input=string output=string [null=integer]

  Flags:

-i  Output integer category values, not cell values

-h  Export Array with GMT compatible header

-b  Generate BIL world and header files

-s  Byte Swap output

  Parameters:

input=string
    Name of an existing raster map

output=string
    Name for output binary map (use out=- for stdout)

null=integer
    Value to write out for null Default: 0

DESCRIPTION
The r.out.bin program exports a GRASS raster map to a binary array file. Optionally, output can be sent to standard output (stdout) for direct input (pipe) into other applications. Data is exported according to the original GRASS raster type (e.g. float). If the "-i" flag is specified, an integer array is output. The region parameters are printed to stderr.

NOTES
With the -h flag, data can be directly used by GMT as Grid Format 1 (float) or 2 (short). For example:
r.out.bin -h input=grass.raster output=new.grd
grdinfo new.grd=1 (if float)

Exported data can be piped directly into the GMT program xyz2grd.
The example uses the GMT program xyz2grd with the -ZTLf flag indicating that a float array was output.

SEE ALSO
r.in.bin, r.in.ascii r.out.ascii r.in.arc, r.out.arc

AUTHOR
This program is derived from r.out.ascii with a few modifications.
Author: Bob Covill

Last changed: $Date: 2003/05/06 14:22:08 $

Help Index